Package com.enonic.xp.portal.url

## Class ComponentUrlParams

- java.lang.Object
- - com.enonic.xp.portal.url.AbstractUrlParams<ComponentUrlParams>
  - - com.enonic.xp.portal.url.ComponentUrlParams

-     @PublicApi
      public final class ComponentUrlParams
      extends AbstractUrlParams<ComponentUrlParams>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ComponentUrlParams()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `buildToString​(MoreObjects.ToStringHelper helper)` |
    `ComponentUrlParams` | `component​(String value)` |
    `String` | `getComponent()` |
    `String` | `getId()` |
    `String` | `getPath()` |
    `ComponentUrlParams` | `id​(String value)` |
    `ComponentUrlParams` | `path​(String value)` |
    `ComponentUrlParams` | `setAsMap​(Multimap<String,​String> map)` |

    - ### Methods inherited from class com.enonic.xp.portal.url.AbstractUrlParams

      `contextPathType, getContextPathType, getDefaultContextPath, getParams, getPortalRequest, getType, param, portalRequest, singleValue, toString, type`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ComponentUrlParams

          public ComponentUrlParams()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### getPath

          public String getPath()

    - #### getComponent

          public String getComponent()

    - #### id

          public ComponentUrlParams id​(String value)

    - #### path

          public ComponentUrlParams path​(String value)

    - #### component

          public ComponentUrlParams component​(String value)

    - #### setAsMap

          public ComponentUrlParams setAsMap​(Multimap<String,​String> map)

      Overrides:
        `setAsMap` in class `AbstractUrlParams<ComponentUrlParams>`

    - #### buildToString

          protected void buildToString​(MoreObjects.ToStringHelper helper)

      Overrides:
        `buildToString` in class `AbstractUrlParams<ComponentUrlParams>`